### Method

# WebKit AuthenticationRequest authenticate

since: 2.2

#### Declaration [src]

    void
    webkit_authentication_request_authenticate (
      WebKitAuthenticationRequest* request,
      WebKitCredential* credential
    )

#### Description [src]

Authenticate the `WebKitAuthenticationRequest`.

Authenticate the `WebKitAuthenticationRequest` using the `WebKitCredential` supplied. To continue without credentials, pass `NULL` as `credential`.

Available since: 2.2

#### Parameters

`credential`

  Type: `WebKitCredential`

  A `WebKitCredential`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.